%define name galaxium
%define version 0.7.4.1
%define release %mkrel 4

Summary: Galaxium Messenger for MSN
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://galaxium.googlecode.com/files/%{name}_%{version}.tar.gz
Patch: galaxium-0.7.4.1-swfdec-major.patch
#gw from svn, fix build with new mono
Patch1: galaxium-r1218-fix-build.patch
License: GPLv2+
Group: Networking/Instant messaging
Url: http://galaxium.googlecode.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glade-sharp2
#BuildRequires: gecko-sharp2
BuildRequires: mono-devel
BuildRequires: webkit-sharp-devel
BuildRequires: ndesk-dbus-glib
BuildRequires: mono-addins
BuildRequires: libanculus-sharp
BuildRequires: libgstreamer-devel
BuildRequires: libswfdec-devel
BuildRequires: desktop-file-utils

%description
This is an instant messaging client that uses the MSN service. It has
a simple GNOME interface.

%prep
%setup -q
%patch -p1 -b .swfdec-major
%patch1
sh ./autogen.sh

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
cp build/*.config %buildroot%_libdir/%name

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) %_bindir/galaxium
%_libdir/%name
%_datadir/%name
%_datadir/applications/%name.desktop
%_mandir/man1/%{name}*
%_datadir/pixmaps/*



%changelog
* Fri Sep 11 2009 Götz Waschk <waschk@mandriva.org> 0.7.4.1-4mdv2010.0
+ Revision: 438033
- fix build with new mono

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 0.7.4.1-3mdv2009.0
+ Revision: 282629
- update patch for new swfdec

* Fri Aug 08 2008 Götz Waschk <waschk@mandriva.org> 0.7.4.1-2mdv2009.0
+ Revision: 267920
- rediff patch for new swfdec

* Fri Jul 18 2008 Funda Wang <fundawang@mandriva.org> 0.7.4.1-1mdv2009.0
+ Revision: 237980
- update to new version 0.7.4.1

* Sat Jul 12 2008 Funda Wang <fundawang@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 234020
- New version 0.7.4

  + Götz Waschk <waschk@mandriva.org>
    - fix menu category

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 0.7.3.1-1mdv2009.0
+ Revision: 230136
- new version

* Sat Jun 28 2008 Götz Waschk <waschk@mandriva.org> 0.7.3-1mdv2009.0
+ Revision: 229786
- new version

* Fri Jun 27 2008 Götz Waschk <waschk@mandriva.org> 0.7.2-2mdv2009.0
+ Revision: 229472
- patch for new libswfdec major
- update license

* Mon Jun 23 2008 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2009.0
+ Revision: 227966
- remove installation workaround for 64 bit
- new version

* Fri Jun 20 2008 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2009.0
+ Revision: 227538
- fix buildrequires
- add missing dll config files
- import galaxium


* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-0.89.1mdv2007.0
+ Revision: 89631
- fix build on x86_64
- new snapshot
- drop patch 1
- update patch 0

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-0.87.3mdv2007.1
+ Revision: 87829
- fix home directory, upstream Task #1209

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-0.87.2mdv2007.1
+ Revision: 87724
- add missing icons
- add desktop entry

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-0.87.1mdv2007.1
+ Revision: 87508
- Import galaxium



* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-0.87.1mdv2007.1
- new snapshot
- new URL

* Tue May 09 2006 Götz Waschk <waschk@mandriva.org> 0.1.112-5mdk
- Rebuild

* Thu May 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.112-4mdk
- disable aot, broken in mono 1.1.7

* Mon May  9 2005 Götz Waschk <waschk@mandriva.org> 0.1.112-3mdk
- fix build on x86_64
r
* Mon Apr 25 2005 Götz Waschk <waschk@mandriva.org> 0.1.112-2mdk
- fix buildrequires
- mkrel
- aot compile the executables
- new version

* Sun Dec 12 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.111-1mdk
- source URL
- New release 0.1.111

* Tue Oct 26 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.109-2mdk
- fix buildrequires

* Mon Oct 25 2004 Götz Waschk <waschk@linux-mandrake.com> 0.1.109-1mdk
- initial package
